#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './threadviewbase.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "threadviewbase.h"

#include <qvariant.h>
#include <qframe.h>
#include <qtoolbutton.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kcombobox.h"

/*
 *  Constructs a KitaThreadViewBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KitaThreadViewBase::KitaThreadViewBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KitaThreadViewBase" );
    setFocusPolicy( QWidget::ClickFocus );
    KitaThreadViewBaseLayout = new QVBoxLayout( this, 0, 0, "KitaThreadViewBaseLayout"); 

    Subjectframe = new QFrame( this, "Subjectframe" );
    Subjectframe->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, Subjectframe->sizePolicy().hasHeightForWidth() ) );
    Subjectframe->setFrameShape( QFrame::NoFrame );
    Subjectframe->setFrameShadow( QFrame::Raised );
    KitaThreadViewBaseLayout->addWidget( Subjectframe );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    writeButton = new QToolButton( this, "writeButton" );
    writeButton->setEnabled( FALSE );
    layout2->addWidget( writeButton );

    SearchCombo = new QComboBox( FALSE, this, "SearchCombo" );
    SearchCombo->setMinimumSize( QSize( 200, 0 ) );
    SearchCombo->setEditable( TRUE );
    SearchCombo->setSizeLimit( 10 );
    SearchCombo->setMaxCount( 15 );
    SearchCombo->setInsertionPolicy( QComboBox::AtTop );
    SearchCombo->setDuplicatesEnabled( FALSE );
    layout2->addWidget( SearchCombo );

    SearchButton = new QToolButton( this, "SearchButton" );
    layout2->addWidget( SearchButton );

    HighLightButton = new QToolButton( this, "HighLightButton" );
    HighLightButton->setToggleButton( TRUE );
    layout2->addWidget( HighLightButton );

    GobackAnchorButton = new QToolButton( this, "GobackAnchorButton" );
    layout2->addWidget( GobackAnchorButton );

    BookmarkButton = new QToolButton( this, "BookmarkButton" );
    BookmarkButton->setEnabled( FALSE );
    BookmarkButton->setToggleButton( TRUE );
    layout2->addWidget( BookmarkButton );

    ReloadButton = new QToolButton( this, "ReloadButton" );
    ReloadButton->setEnabled( FALSE );
    layout2->addWidget( ReloadButton );

    gotoCombo = new KComboBox( FALSE, this, "gotoCombo" );
    gotoCombo->setMinimumSize( QSize( 200, 0 ) );
    layout2->addWidget( gotoCombo );

    deleteButton = new QToolButton( this, "deleteButton" );
    deleteButton->setEnabled( FALSE );
    layout2->addWidget( deleteButton );
    spacer2 = new QSpacerItem( 30, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( spacer2 );

    closeButton = new QToolButton( this, "closeButton" );
    closeButton->setEnabled( FALSE );
    layout2->addWidget( closeButton );
    KitaThreadViewBaseLayout->addLayout( layout2 );

    threadFrame = new QFrame( this, "threadFrame" );
    threadFrame->setFrameShape( QFrame::StyledPanel );
    threadFrame->setFrameShadow( QFrame::Raised );
    KitaThreadViewBaseLayout->addWidget( threadFrame );
    languageChange();
    resize( QSize(870, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KitaThreadViewBase::~KitaThreadViewBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KitaThreadViewBase::languageChange()
{
    setCaption( tr2i18n( "Form1" ) );
    writeButton->setText( QString::null );
    QToolTip::add( writeButton, tr2i18n( "write" ) );
    SearchButton->setText( tr2i18n( "Search" ) );
    QToolTip::add( SearchButton, tr2i18n( "search word" ) );
    HighLightButton->setText( tr2i18n( "HighLight" ) );
    QToolTip::add( HighLightButton, tr2i18n( "highlight search words" ) );
    GobackAnchorButton->setText( tr2i18n( "Goback" ) );
    QToolTip::add( GobackAnchorButton, tr2i18n( "go back anchor" ) );
    BookmarkButton->setText( tr2i18n( "Bookmark" ) );
    BookmarkButton->setTextLabel( QString::null );
    QToolTip::add( BookmarkButton, tr2i18n( "add to bookmark" ) );
    ReloadButton->setText( tr2i18n( "Reload" ) );
    QToolTip::add( ReloadButton, tr2i18n( "reload thread" ) );
    deleteButton->setText( tr2i18n( "Del" ) );
    QToolTip::add( deleteButton, tr2i18n( "delete log" ) );
    closeButton->setText( tr2i18n( "Close" ) );
    QToolTip::add( closeButton, tr2i18n( "close tab" ) );
}

void KitaThreadViewBase::subjectlinkClicked(const QString&)
{
    qWarning( "KitaThreadViewBase::subjectlinkClicked(const QString&): Not implemented yet" );
}

#include "threadviewbase.moc"
